io.swagger.client.model

## Class UserChainMapping

- java.lang.Object
- - io.swagger.client.model.UserChainMapping

-     public class UserChainMapping
      extends Object

  UserChainMapping

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserChainMapping()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `UserChainMapping` | `chainBalance(Double chainBalance)`
    `UserChainMapping` | `chainIdentifier(String chainIdentifier)`
    `UserChainMapping` | `connectionID(Integer connectionID)`
    `boolean` | `equals(Object o)`
    `Double` | `getChainBalance()` Get chainBalance
    `String` | `getChainIdentifier()` Get chainIdentifier
    `Integer` | `getConnectionID()` Get connectionID
    `Integer` | `getUserChainMappingID()` Get userChainMappingID
    `Integer` | `getUserID()` Get userID
    `int` | `hashCode()`
    `void` | `setChainBalance(Double chainBalance)`
    `void` | `setChainIdentifier(String chainIdentifier)`
    `void` | `setConnectionID(Integer connectionID)`
    `void` | `setUserChainMappingID(Integer userChainMappingID)`
    `void` | `setUserID(Integer userID)`
    `String` | `toString()`
    `UserChainMapping` | `userChainMappingID(Integer userChainMappingID)`
    `UserChainMapping` | `userID(Integer userID)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UserChainMapping

          public UserChainMapping()

  - ### Method Detail

    - #### userChainMappingID

          public UserChainMapping userChainMappingID(Integer userChainMappingID)

    - #### getUserChainMappingID

          public Integer getUserChainMappingID()

      Get userChainMappingID
      Returns:
        userChainMappingID

    - #### setUserChainMappingID

          public void setUserChainMappingID(Integer userChainMappingID)

    - #### userID

          public UserChainMapping userID(Integer userID)

    - #### getUserID

          public Integer getUserID()

      Get userID
      Returns:
        userID

    - #### setUserID

          public void setUserID(Integer userID)

    - #### connectionID

          public UserChainMapping connectionID(Integer connectionID)

    - #### getConnectionID

          public Integer getConnectionID()

      Get connectionID
      Returns:
        connectionID

    - #### setConnectionID

          public void setConnectionID(Integer connectionID)

    - #### chainIdentifier

          public UserChainMapping chainIdentifier(String chainIdentifier)

    - #### getChainIdentifier

          public String getChainIdentifier()

      Get chainIdentifier
      Returns:
        chainIdentifier

    - #### setChainIdentifier

          public void setChainIdentifier(String chainIdentifier)

    - #### chainBalance

          public UserChainMapping chainBalance(Double chainBalance)

    - #### getChainBalance

          public Double getChainBalance()

      Get chainBalance
      Returns:
        chainBalance

    - #### setChainBalance

          public void setChainBalance(Double chainBalance)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2018. All rights reserved.